Graves vulnerabilidades en dispositivos ATA de Grandstream

Confirmadas múltiples vulnerabilidades graves aún sin resolver en la serie de adaptadores de teléfono analógicos (ATA) HT800 de Grandstream.

La serie HT800 de ATA está diseñada para todo tipo de usuarios, tanto para hogares como empresas que quieren conectar sus teléfonos analógicos a una red de VoIP, a un sistema de comunicaciones unificado u otra infraestructura de comunicaciones IP.

Las cuatros vulnerabilidades confirmadas por Grandstream suponen una grave amenaza para los usuarios: desde interrupciones del servicio, escuchas no autorizadas o la toma del control del dispositivo.

CVE-2020-5760 con una puntuación base de 7.8 sobre 10, podría permitir inyectar comandos de forma remota durante el proceso de aprovisionamiento. Los usuarios malintencionados no autenticados pueden ejecutar comandos arbitrarios como root de forma remota, por medio de un fichero de configuración especialmente manipulado que permitiría ejecutar el «payload» a través de un mensaje SIP.

CVE-2020-5761 con una calificación de 7.5/10 en sistema CVSS, un error en la implementación del ATA de Grandstream podría provocar una condición de bucle infinito en el subservicio TR-069 que podría ser aprovechada por un atacante no autenticado para agotar los ciclos de la CPU y provocar una denegación de servicio.

CVE-2020-5762 con una calificación de 7.5/10 en el sistema CVSS, una desreferencia de un puntero nulo en el módulo de autenticación HTTP del servicio TR-069, podría ser aprovechado por un atacante remoto para provocar una denegación de servicio.

CVE-2020-5763 con una puntuación de 8.8/10 en el sistema CVSS, un atacante remoto autenticado, podría acceder a una terminal de comandos con privilegios de administrador aprovechando las medidas de seguridad insuficientes en el sistema de acceso.

Todas estas vulnerabilidades se encuentran, de momento, sin tratar. El firmware actual de la serie Grandstream HT800 versión 1.0.17.5 y siguientes son sensibles también a estas cuatros vulnerabilidades.

Más información:

4 Unpatched Bugs Plague Grandstream ATAs for VoIP Users

Comparte en tus redes: